# 64bit; source: http://download.tuxfamily.org/gsf/source/modem-manager-gui-0.0.18.tar.gz

Name:           modem-manager-gui
Version:        0.0.19.1
Release:        %mkrel 4
Summary:        Modem Manager GUI
License:        GPLv3
Group:		System/Configuration/Networking
URL:            http://linuxonly.ru/cms/
Source0:        %{name}-%{version}.tar.xz

###Patch0:		modem-manager-gui-0.0.19-fix.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:  itstool
BuildRequires:  %{_lib}gdbm-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}gtkspell3-devel
BuildRequires:	libpthread-stubs
BuildRequires:	po4a
BuildRequires:  %{_lib}appindicator3-devel
BuildRequires:  %{_lib}ofono-devel
BuildRequires:  ofono-tests
BuildRequires:	meson

Requires:	modemmanager >= 0.5.0.0
Requires: 	libnotify
Requires:	mobile-broadband-provider-info
Requires:	ppp
Requires:	yelp

%description
Modem Manager GUI is frontend for ModemManager daemon able
to control specific modem functions. Main features:
- GTK3 interface
- Send and receive SMS messages with messages concatenation
- Send USSD request and receive answer in system encoding
- Get modem and SIM information (Device info, Operator name, Mode, IMEI, IMSI/ESN, Signal level)
- Scan available mobile networks
- Control data transmission process and set session traffic and time limits

%prep
%setup -q
%apply_patches

%build
./configure --prefix=/usr --libdir=/usr/%{_lib}

make modem-manager-gui

%install
%__rm -rf %{buildroot}

%make_install

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-category="Network;X-MandrivaLinux-System-Configuration-Networking;" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{name}.desktop

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%doc LICENSE AUTHORS Changelog
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_libdir}/ofono
/etc/NetworkManager/dispatcher.d/95-mmgui-timestamp-notifier
%{_desktopdir}/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}
%{_datadir}/help
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/polkit-1/actions/ru.linuxonly.%{name}.policy

%changelog
* Sun Sep 29 2019 onkelho <oh.quait at gmail.com> 0.0.19.1-4pclos2019
- rebuild

* Fri Jun 07 2019 onkelho <oh.quait at gmail.com> - 0.0.19.1-3pclos2019
- rebuild

* Sun Jan 27 2019 onkelho <oh.quait at gmail.com> - 0.0.19.1-2pclos2019
- rebuild

* Wed Jul 04 2018 onkelho <oh.quait at gmail.com> - 0.0.19.1-1pclos2018
- new version from 2018-04-06 update

* Tue Mar 22 2016 marcin82 <marcin82 at vp.pl> 0.0.18-1pclos2016
- initial build for PCLinuxOS
